/*
 * motifutil.H
 *
 * Some Motif helper functions.
 *
 * Vincent Mallet 1997, 1999
 */

// $Id: motifutil.H,v 1.2 1999/04/20 21:47:26 vmallet Exp $

/* ViMmail - a small mail reader
 * Copyright (C) 1997, 1999 Vincent Mallet - vmallet@enst.fr
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */



#ifndef __H_MOTIFUTIL__
#define __H_MOTIFUTIL__

// #include <Xm/Xm.h>


// remove a button from a dialog
void remove_button(Widget dialog, int button);

// Avoid the sash traversal in a paned window
void TurnOffSashTraversal(Widget panedw);

// change cursor shape for the specified widget
void nice_cursor(Widget widget, int shape);

// quit the application
void quit(void);

// retrieve parent shell
Widget GetTopShell(Widget w);


#endif // __H_MOTIFUTIL__
