/*
 * msglist.H
 *
 * Handles the list of the messages from/subject header fields.
 * Subclass of the AbsList abstract list class.
 *
 * Vincent Mallet 1997, 1999
 */

// $Id: msglist.H,v 1.2 1999/04/20 21:28:54 vmallet Exp $

/* ViMmail - a small mail reader
 * Copyright (C) 1997, 1999 Vincent Mallet - vmallet@enst.fr
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __H_MSGLIST__
#define __H_MSGLIST__

#include "abslist.H"

class MsgList : public AbsList {
public:
  void make(Widget parent);

private:
  static void list_handler(Widget w, XtPointer client_data, XtPointer cbs);
}; // class MsgList

#endif // __H_MSGLIST__

