/*
 * pushbuttons.h -- Schoene neue Push-Buttons mit netten Bildchen (Nein,
 *		    nicht das, was Sie jetzt schon wieder denken...!)
 *
 * Version 1.02 vom 03.05.1994
 *
 * (c) 1994 Harald Albrecht
 * Institut fuer Geometrie und Praktische Mathematik
 * albrecht@igpm.rwth-aachen.de
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program (see the file COPYING for more details);
 * if not, write to the Free Software Foundation, Inc., 675 Mass Ave, 
 * Cambridge, MA 02139, USA.
 *
 */
#ifndef __pushbuttons_h
#define __pushbuttons_h

#include <Xm/PushB.h>

#ifdef __cplusplus
extern "C" {
#endif

extern Pixmap         NormalPixmap, ArmedPixmap, InsensitivePixmap;



extern void CreatePixmapButton(Widget PushButton,
			       char **Normal, char **Armed, 
			       char **Insensitive);

extern void CreatePixmapLabel(Widget LabelWidget,
			      char **Normal, char **Insensitive);

/* Ende von pushbuttons.h */
#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration which encloses file. */
#endif



#endif /* __pushbuttons_h */
